PMAP_ZERO(9)

NAME
pmap_zero_page, pmap_zero_area, - zero-fill a page using machine-dependent optimizations

SYNOPSIS
#include <sys/param.h>
#include <vm/vm.h>
#include <vm/pmap.h>
void
pmap_zero_page(vm_page_t m);
void
pmap_zero_page_area(vm_page_t m, int off, int size);

DESCRIPTION
The pmap_zero_page() function zero-fills an entire page using machine-dependent optimizations. The pmap_zero_page_area() function is used to zero-fill an area of a page. The range specified must not cross a page boundary; it must be contained entirely within a single page.

IMPLEMENTATION NOTES
This function is required to be implemented for each architecture supported by FreeBSD.

SEE ALSO
bzero(3), pmap(9)

AUTHORS
This manual page was written by Bruce M Simpson <bms@spc.org>.